from setuptools import setup

with open("README.md", "r") as arq:
    readme = arq.read()

setup(name='ai-enterprise-agent',
    version='0.0.3',
    license='Apache 2.0 License',
    author='Author',
    long_description=readme,
    long_description_content_type="text/markdown",
    author_email='autor@autor.com.br',
    keywords='ai ai-agent agent assistant enterprise',
    description='AI Agent simplifies the implementation and use of generative AI with LangChain.',
    packages=['ai_enterprise_agent', 'ai_enterprise_agent.interface', 'ai_enterprise_agent.services','ai_enterprise_agent.services.chains', 'ai_enterprise_agent.services.chat_history', 'ai_enterprise_agent.services.llm', 'ai_enterprise_agent.services.vector_store', 'ai_enterprise_agent.utils'],
    python_requires='>=3.9',
    package_dir={'': '.', 'ai_enterprise_agent': './ai_enterprise_agent', 'ai_enterprise_agent.interface': './ai_enterprise_agent/interface', 'ai_enterprise_agent.services': './ai_enterprise_agent/services', 'ai_enterprise_agent.services.chains': './ai_enterprise_agent/services/chains', 'ai_enterprise_agent.services.chat_history': './ai_enterprise_agent/services/chat_history', 'ai_enterprise_agent.services.llm': './ai_enterprise_agent/services/llm', 'ai_enterprise_agent.services.vector_store': './ai_enterprise_agent/services/vector_store', 'ai_enterprise_agent.utils': './ai_enterprise_agent/utils'},
    install_requires=[
      'aiohttp==3.9.3',
      'aiosignal==1.3.1',
      'annotated-types==0.6.0',
      'anyio==4.3.0',
      'attrs==23.2.0',
      'azure-common==1.1.28',
      'azure-core==1.30.1',
      'azure-identity==1.15.0',
      'azure-search==1.0.0b2',
      'azure-search-documents==11.4.0',
      'boto3==1.34.70',
      'botocore==1.34.70',
      'cachetools==5.3.3',
      'certifi==2024.2.2',
      'cffi==1.16.0',
      'charset-normalizer==3.3.2',
      'colorama==0.4.6',
      'cryptography==42.0.5',
      'dataclasses-json==0.6.4',
      'distro==1.9.0',
      'frozenlist==1.4.1',
      'google-ai-generativelanguage==0.4.0',
      'google-api-core==2.17.1',
      'google-auth==2.28.2',
      'google-generativeai==0.4.1',
      'googleapis-common-protos==1.63.0',
      'greenlet==3.0.3',
      'grpcio==1.62.1',
      'grpcio-status==1.62.1',
      'h11==0.14.0',
      'httpcore==1.0.4',
      'httpx==0.27.0',
      'idna==3.6',
      'isodate==0.6.1',
      'jmespath==1.0.1',
      'jsonpatch==1.33',
      'jsonpointer==2.4',
      'langchain==0.1.14',
      'langchain-community==0.0.31',
      'langchain-core==0.1.37',
      'langchain-google-genai==0.0.11',
      'langchain-openai==0.1.1',
      'langchain-pinecone==0.0.3',
      'langchain-text-splitters==0.0.1',
      'langsmith==0.1.27',
      'marshmallow==3.21.1',
      'msal==1.28.0',
      'msal-extensions==1.1.0',
      'msrest==0.7.1',
      'multidict==6.0.5',
      'mypy-extensions==1.0.0',
      'nanoid==2.0.0',
      'numpy==1.26.4',
      'oauthlib==3.2.2',
      'openai==1.14.3',
      'opensearch-py==2.5.0',
      'orjson==3.9.15',
      'packaging==23.2',
      'pinecone-client==3.2.2',
      'portalocker==2.8.2',
      'proto-plus==1.23.0',
      'protobuf==4.25.3',
      'psycopg2==2.9.9',
      'psycopg2-binary==2.9.9',
      'pyasn1==0.5.1',
      'pyasn1-modules==0.3.0',
      'pycparser==2.21',
      'pydantic==2.6.4',
      'pydantic_core==2.16.3',
      'PyJWT==2.8.0',
      'python-dateutil==2.9.0.post0',
      'pywin32==306',
      'PyYAML==6.0.1',
      'redis==5.0.3',
      'regex==2023.12.25',
      'requests==2.31.0',
      'requests-oauthlib==2.0.0',
      'rsa==4.9',
      's3transfer==0.10.1',
      'setuptools==69.2.0',
      'six==1.16.0',
      'sniffio==1.3.1',
      'SQLAlchemy==2.0.29',
      'tenacity==8.2.3',
      'tiktoken==0.5.2',
      'tqdm==4.66.2',
      'typing-inspect==0.9.0',
      'typing_extensions==4.10.0',
      'urllib3==1.26.18',
      'yarl==1.9.4',
    ]
)
